Rendering Functions

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
Rendering Functions
Graphics

Rendering functions to draw images, plots etc. More...

## Functions
void | image (const array &in, const char *title=NULL)
| Renders the input array as an image to the window. More...
void | plot3 (const array &in, const char *title=NULL)
| Renders the input array as an 3d line plot to the window. More...
void | plot (const array &X, const array &Y, const char *const title=NULL)
| Renders the input arrays as a 2D plot to the window. More...
void | scatter (const array &X, const array &Y, const af::markerType marker=AF_MARKER_POINT, const char *const title=NULL)
| Renders the input arrays as a 2D scatter-plot to the window. More...
void | scatter3 (const array &P, const af::markerType marker=AF_MARKER_POINT, const char *const title=NULL)
| Renders the input arrays as a 3D scatter-plot to the window. More...
void | hist (const array &X, const double minval, const double maxval, const char *const title=NULL)
| Renders the input array as a histogram to the window. More...
void | surface (const array &S, const char *const title=NULL)
| Renders the input arrays as a 3D surface plot to the window. More...
void | surface (const array &xVals, const array &yVals, const array &S, const char *const title=NULL)
| Renders the input arrays as a 3D surface plot to the window. More...
AFAPI af_err | af_draw_image (const af_window wind, const af_array in, const af_cell *const props)
| C Interface wrapper for drawing an array as an image. More...
AFAPI af_err | af_draw_plot (const af_window wind, const af_array X, const af_array Y, const af_cell *const props)
| C Interface wrapper for drawing an array as a plot. More...
AFAPI af_err | af_draw_scatter (const af_window wind, const af_array X, const af_array Y, const af_marker_type marker, const af_cell *const props)
| C Interface wrapper for drawing an array as a plot. More...
AFAPI af_err | af_draw_scatter3 (const af_window wind, const af_array P, const af_marker_type marker, const af_cell *const props)
| C Interface wrapper for drawing an array as a plot. More...
AFAPI af_err | af_draw_plot3 (const af_window wind, const af_array P, const af_cell *const props)
| C Interface wrapper for drawing an array as a plot. More...
AFAPI af_err | af_draw_hist (const af_window wind, const af_array X, const double minval, const double maxval, const af_cell *const props)
| C Interface wrapper for drawing an array as a histogram. More...
AFAPI af_err | af_draw_surface (const af_window wind, const af_array xVals, const af_array yVals, const af_array S, const af_cell *const props)
| C Interface wrapper for drawing arrayis as a surface. More...

## Detailed Description

Rendering functions to draw images, plots etc.

## Function Documentation

AFAPI af_err af_draw_hist | ( | const af_window | wind,
|  | const af_array | X,
|  | const double | minval,
|  | const double | maxval,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as a histogram.

Parameters

  [in] | wind | is the window handle
  [in] | X | is the data frequency af_array
  [in] | minval | is the value of the minimum data point of the array whose histogram(`X`) is going to be rendered.
  [in] | maxval | is the value of the maximum data point of the array whose histogram(`X`) is going to be rendered.
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `X` should be a vector.

AFAPI af_err af_draw_image | ( | const af_window | wind,
|  | const af_array | in,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as an image.

Parameters

  [in] | wind | is the window handle
  [in] | in | is an af_array
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `in` should be 2d array or 3d array with 3 channels.

AFAPI af_err af_draw_plot | ( | const af_window | wind,
|  | const af_array | X,
|  | const af_array | Y,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as a plot.

Parameters

  [in] | wind | is the window handle
  [in] | X | is an af_array with the x-axis data points
  [in] | Y | is an af_array with the y-axis data points
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `X` and `Y` should be vectors.

AFAPI af_err af_draw_plot3 | ( | const af_window | wind,
|  | const af_array | P,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as a plot.

Parameters

  [in] | wind | is the window handle
  [in] | P | is an af_array or matrix with the xyz-values of the points
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `P` should be a 3n x 1 vector or one of a 3xn or nx3 matrices.

AFAPI af_err af_draw_scatter | ( | const af_window | wind,
|  | const af_array | X,
|  | const af_array | Y,
|  | const af_marker_type | marker,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as a plot.

Parameters

  [in] | wind | is the window handle
  [in] | X | is an af_array with the x-axis data points
  [in] | Y | is an af_array with the y-axis data points
  [in] | marker | is an af_marker_type enum specifying which marker to use in the scatter plot
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `X` and `Y` should be vectors.

AFAPI af_err af_draw_scatter3 | ( | const af_window | wind,
|  | const af_array | P,
|  | const af_marker_type | marker,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing an array as a plot.

Parameters

  [in] | wind | is the window handle
  [in] | P | is an af_array or matrix with the xyz-values of the points
  [in] | marker | is an af_marker_type enum specifying which marker to use in the scatter plot
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

AFAPI af_err af_draw_surface | ( | const af_window | wind,
|  | const af_array | xVals,
|  | const af_array | yVals,
|  | const af_array | S,
|  | const af_cell *const | props
| ) |  |

C Interface wrapper for drawing arrayis as a surface.

Parameters

  [in] | wind | is the window handle
  [in] | xVals | is an af_array with the x-axis data points
  [in] | yVals | is an af_array with the y-axis data points
  [in] | S | is an af_array with the z-axis data points
  [in] | props | is structure af_cell that has the properties that are used for the current rendering.

Returns
  AF_SUCCESS if rendering is successful, otherwise an appropriate error code is returned.

Note
  `X` and `Y` should be vectors. `S` should be a 2D array

void hist | ( | const array & | X,
|  | const double | minval,
|  | const double | maxval,
|  | const char *const | title = `NULL`
| ) |  |

Renders the input array as a histogram to the window.

Parameters

  [in] | X | is the data frequency array
  [in] | minval | is the value of the minimum data point of the array whose histogram(`X`) is going to be rendered.
  [in] | maxval | is the value of the maximum data point of the array whose histogram(`X`) is going to be rendered.
  [in] | title | parameter is used when this function is called in grid mode

Note
  `X` should be a vector.

Examples:
  graphics/histogram.cpp, image_processing/binary_thresholding.cpp, and image_processing/edge.cpp.

void image | ( | const array & | in,
|  | const char * | title = `NULL`
| ) |  |

Renders the input array as an image to the window.

Parameters

  [in] | in | is an array
  [in] | title | parameter is used when this function is called in grid mode

Note
  `in` should be 2d array or 3d array with 3 channels.

Examples:
  computer_vision/fast.cpp, computer_vision/harris.cpp, computer_vision/matching.cpp, computer_vision/susan.cpp, graphics/conway.cpp, graphics/conway_pretty.cpp, graphics/fractal.cpp, graphics/gravity_sim.cpp, graphics/histogram.cpp, image_processing/adaptive_thresholding.cpp, image_processing/binary_thresholding.cpp, image_processing/brain_segmentation.cpp, image_processing/edge.cpp, image_processing/filters.cpp, image_processing/image_demo.cpp, image_processing/image_editing.cpp, image_processing/morphing.cpp, image_processing/optical_flow.cpp, image_processing/pyramids.cpp, and pde/swe.cpp.

void plot | ( | const array & | X,
|  | const array & | Y,
|  | const char *const | title = `NULL`
| ) |  |

Renders the input arrays as a 2D plot to the window.

Parameters

  [in] | X | is an array with the x-axis data points
  [in] | Y | is an array with the y-axis data points
  [in] | title | parameter is used when this function is called in grid mode

Note
  `X` and `Y` should be vectors.

Examples:
  graphics/plot2d.cpp.

void plot3 | ( | const array & | in,
|  | const char * | title = `NULL`
| ) |  |

Renders the input array as an 3d line plot to the window.

Parameters

  [in] | in | is an array
  [in] | title | parameter is used when this function is called in grid mode

Note
  `in` should be 1d array of size 3n or 2d array with (3 x n) or (n x 3) channels.

Examples:
  graphics/plot3.cpp.

void scatter | ( | const array & | X,
|  | const array & | Y,
|  | const af::markerType | marker = `AF_MARKER_POINT`,
|  | const char *const | title = `NULL`
| ) |  |

Renders the input arrays as a 2D scatter-plot to the window.

Parameters

  [in] | X | is an array with the x-axis data points
  [in] | Y | is an array with the y-axis data points
  [in] | marker | is an markerType enum specifying which marker to use in the scatter plot
  [in] | title | parameter is used when this function is called in grid mode

Note
  `X` and `Y` should be vectors.

Examples:
  graphics/plot2d.cpp.

void scatter3 | ( | const array & | P,
|  | const af::markerType | marker = `AF_MARKER_POINT`,
|  | const char *const | title = `NULL`
| ) |  |

Renders the input arrays as a 3D scatter-plot to the window.

Parameters

  [in] | P | is an af_array or matrix with the xyz-values of the points
  [in] | marker | is an markerType enum specifying which marker to use in the scatter plot
  [in] | title | parameter is used when this function is called in grid mode

void surface | ( | const array & | S,
|  | const char *const | title = `NULL`
| ) |  |

Renders the input arrays as a 3D surface plot to the window.

Parameters

  [in] | S | is an array with the z-axis data points
  [in] | title | parameter is used when this function is called in grid mode

Note
  `S` should be a 2D array

Examples:
  graphics/surface.cpp.

void surface | ( | const array & | xVals,
|  | const array & | yVals,
|  | const array & | S,
|  | const char *const | title = `NULL`
| ) |  |

Renders the input arrays as a 3D surface plot to the window.

Parameters

  [in] | xVals | is an array with the x-axis data points
  [in] | yVals | is an array with the y-axis data points
  [in] | S | is an array with the z-axis data points
  [in] | title | parameter is used when this function is called in grid mode

Note
  `X` and `Y` should be vectors or 2D arrays `S` should be s 2D array